use std::net::{Ipv4Addr};
use quicktap::cidr::{IpInet, Ipv4Inet};
use quicktap::drivers::tun::TunDevice;
use quicktap::drivers::tungeneric::{GenericDriver, GenericInterface};

fn main() {
    let mut device = TunDevice::new(&GenericInterface {
        addresses: vec![IpInet::V4(Ipv4Inet::new(Ipv4Addr::new(10, 19, 2, 2), 16).unwrap())],
        mtu: None,
        name: "ela1".to_string(),
    }).unwrap();
    loop {
        println!("{:?}", device.read().unwrap().header)
    }
}
